- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# slack_singleton_action Class Reference

For variables with one entry. More...

`#include <CoinPresolveSingleton.hpp>`

Inheritance diagram for slack_singleton_action:

[legend]
Collaboration diagram for slack_singleton_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~slack_singleton_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next, double *rowObjective)
## Private Member Functions
| slack_singleton_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

For variables with one entry.

If we have a variable with one entry and no cost then we can transform the row from E to G etc. If there is a row objective region then we may be able to do this even with a cost.

Definition at line 73 of file CoinPresolveSingleton.hpp.

## Constructor & Destructor Documentation

slack_singleton_action::slack_singleton_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 90 of file CoinPresolveSingleton.hpp.

slack_singleton_action::~slack_singleton_action | ( |  | ) | `[inline]`

Definition at line 108 of file CoinPresolveSingleton.hpp.

References actions_, and deleteAction.

## Member Function Documentation

const char* slack_singleton_action::name | ( |  | ) | const`[inline, virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 99 of file CoinPresolveSingleton.hpp.

static const CoinPresolveAction* slack_singleton_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next,
|  | double * | rowObjective |
| ) |  |  | `[static]`

void slack_singleton_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int slack_singleton_action::nactions_`[private]`

Definition at line 87 of file CoinPresolveSingleton.hpp.

const action* const slack_singleton_action::actions_`[private]`

Definition at line 88 of file CoinPresolveSingleton.hpp.

Referenced by ~slack_singleton_action().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/CoinUtils/src/CoinPresolveSingleton.hpp